%define oname   cancan

Name:       ruby-%{oname}
Version:    1.6.8
Release:    %mkrel 3
Summary:    Simple authorization solution for Rails
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/ryanb/cancan
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple authorization solution for Rails which is completely decoupled from
the user's roles. All permissions are stored in a single location for
convenience.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.6.8-3.mga3
+ Revision: 395730
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.8-2.mga3
+ Revision: 380664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.6.8-1.mga3
+ Revision: 312634
- new version 1.6.8

* Sun Feb 13 2011 shikamaru <shikamaru> 1.2.0-1.mga1
+ Revision: 51345
- imported package ruby-cancan

